Arduino IDE 1.8.10

IDE gerelateerde berichten
Gebruikers-avatar
Berichten: 2401
Geregistreerd: 06 Aug 2016, 01:03

Arduino IDE 1.8.10

Berichtdoor Koepel » 24 Sep 2019, 20:44

Er is een nieuwe Arduino IDE versie: 1.8.10
https://www.arduino.cc/en/Main/Software

De verschillen zijn klein.

Er wordt nu gebruikt gemaakt van AVR-GCC 7.3.0, dat was 5.4.0.
Daardoor kunnen andere foutmeldingen en waarschuwingen komen.
De optimalisatie is anders.
Versie 7.3.0 ondersteunt nieuwere C++ uitbreidingen.

Verder zijn er wat uitbreidingen voor nieuwe boards.

De Wire library heeft nog steeds geen timeout :(

Bij mij wordt de code ongeveer 1% groter en het ram gebruik 0.5% kleiner. Bij sommige kleine projecten wordt ook het ram gebruik groter.
De foutmeldingen zijn beter. Ik heb de uitgebreide uitvoer voor de compiler aan staan. De compiler ziet nu fouten in de sketch die ook echte fouten zijn.
Er komen echter ook vele foutmeldingen op de "-fno-permissive" compiler flag die Arduino bij AVR microcontrollers standaard 'aan' zet. Dat moeten ze nog even recht zetten.

Advertisement

Gebruikers-avatar
Berichten: 421
Geregistreerd: 15 Nov 2015, 11:54

Re: Arduino IDE 1.8.10

Berichtdoor Gij Kieken » 24 Sep 2019, 22:16

Ik krijg ook een (vreemde) melding.
Fout bij het downloaden van https://dl.espressif.com/dl/package_esp32_index.json
Als je dan zelf naar die link gaat krijg je de melding
Je verbinding is niet privé
Cybercriminelen proberen mogelijk je gegevens van dl.espressif.com te stelen (bijvoorbeeld wachtwoorden, berichten of creditcardgegevens). Meer informatie
NET::ERR_CERT_DATE_INVALID
Wat is er aan de hand?

Gebruikers-avatar
Berichten: 2401
Geregistreerd: 06 Aug 2016, 01:03

Re: Arduino IDE 1.8.10

Berichtdoor Koepel » 25 Sep 2019, 00:39

Een certificaat foutje van de https verbinding. Dat komt vaker voor. Nu maar hopen dat ze het in orde maken.

In de Arduino IDE heb ik bij de voorkeuren:
Code: Alles selecteren
https://dl.espressif.com/dl/package_esp32_index.json, http://arduino.esp8266.com/stable/package_esp8266com_index.json

Dus ik heb wel de https voor de ESP32, maar de gewone http voor de ESP8266. Nou ja, ik zit er niet mee.

Die foutmelding van de browser geeft aan dat als je op die website iets zou kopen en je gegevens in zou vullen, dan anderen dat dan zouden kunnen onderscheppen. In werkelijkheid is de ESP32 code gewoon openbaar, en maakt het niets uit. Google probeert echter om heel het internet zo ver te krijgen dat iedereen alleen nog een beveiligde verbinding via https heeft. Firefox en Microsoft gaan daarin mee, en terecht.

Gebruikers-avatar
Berichten: 421
Geregistreerd: 15 Nov 2015, 11:54

Re: Arduino IDE 1.8.10

Berichtdoor Gij Kieken » 25 Sep 2019, 09:53

Dit is vreemd dat jij dan die melding niet krijgt. Ik dacht dat het probleem bij de site van esp32 zat ,( de s in https) dus iedereen zou de zelfde melding krijgen.
Het zijn immers dezelfde links voor zowel esp32 als esp8266.
Ik werk met IDE 1.8.10 op win 7 en ook op win 10 en bij beiden dezelfde melding.

Gebruikers-avatar
Berichten: 421
Geregistreerd: 15 Nov 2015, 11:54

Re: Arduino IDE 1.8.10

Berichtdoor Gij Kieken » 25 Sep 2019, 10:40

Ahja mijn €-cent is al gevallen,jij werkt met linux.

Gebruikers-avatar
Berichten: 2401
Geregistreerd: 06 Aug 2016, 01:03

Re: Arduino IDE 1.8.10

Berichtdoor Koepel » 25 Sep 2019, 19:16

Dat maakt niet uit, die foutmelding kreeg ik ook. Een verlopen certificaat voor een beveiligde verbinding is iets dat ze recht moeten zetten. Dat hebben ze inmiddels gedaan.
In de Arduino IDE bij de Bibliotheek Beheer heb ik de ESP32 boards ge-update. Nu werkt alles weer gewoon.

Terug naar Arduino IDE

Wie is er online?

Gebruikers in dit forum: Geen geregistreerde gebruikers en 5 gasten